<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>
<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>
<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript" src="/js/moo-uploader.js"></script>
<?
$bu_user = Zend_Auth::getInstance()->getIdentity();
$config = Zend_Registry::get('system_config');
?>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>
<style type="text/css">
	@import url('/css/Autocompleter.css');

	.green { color: green }
	.blue { color: blue }
</style>

<script type="text/javascript">
Cubix.Grid.DataTypes.EscortLink.baseUrl = '<?= Cubix_Application::getById()->url . '/escort' ?>';
</script>

<script type="text/javascript">
Cubix.ready = function () {

	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		<? if (isset($_GET['m']) && strlen($_GET['m']) > 0): ?>
		$('username').set('value', '<?= $_GET['m'] ?>');
		<? endif; ?>
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};

    var popup = new Cubix.Popup.Ajax({
        abar: [
            { caption: 'Place New Order', icon: 'add', action: function () {
                    openOrderPopup();
                } },
            { caption: 'Save', icon: 'accept', action: function () {
                    tinyMCE.triggerSave();
                    (Cubix.Popup.Actions.SaveValid.bind(popup))(function (result) {
                        grid.load();
                    });
                } },
            { caption: 'Close', icon: 'cancel' ,action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
        ],
        width: 950,
        zIndex: function () { return Cubix.Popup.zIndex + 4 }
    });

	var escort_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: function() {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(escort_popup))(function (result) {

				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	window.EscortPopup = popup;
    var addOrderButton = popup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');
	var popupClose = function(popup) {
		var old_data = window.popup_data;
		var new_data = popup.content.getElement('.form-common').toQueryString();

		if ( old_data != new_data ) {
			if ( confirm('Close without saving changes ?') ) {
				popup.close();
			}
		}
		else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	escort_popup.addEvent('close', function () { window.EscortsKeyboard.deactivate(); });

	escort_popup.addEvent('loaded', function () {
		new mootabs('tabs', { width: null, height: 'auto' });
		Cubix.Popup.zIndex = 30;
	});

	var delete_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Delete', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/reviews/remove');
				Cubix.Grid.Instance = grid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					popup.close();
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400,
		zIndex: function () { return Cubix.Popup.zIndex + 50 }
	});

	delete_popup.addEvent('loaded', function () {
		window.fireEvent('resize');
	});


	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'escort ID', field: 'escort_id', type: 'int', sortable: true },
			// { title: 'Web Site', field: 'web_site', type: 'string', sortable: true },
			{ title: 'Crowled Url', field: 'import_url', type: 'ExternalUrl', sortable: true },
			{ title: 'Phone', field: 'phone', type: 'string', sortable: true },
			{ title: 'Date', field: 'created_at', type: 'string', sortable: true },
            <?if( Cubix_Application::getId() == APP_ED ):?>
            { title: 'Online', field: 'online', type: 'date', sortable: true },
            <?endif;?>
			{ title: 'Status', field: 'status', type: 'ImporterActive', sortable: true },
            <?if( Cubix_Application::getId() == APP_ED ):?>
			{ title: 'Junk', field: 'status', type: 'Junk', sortable: true },
			<?endif;?>
		],
		sort: {
			field: 'escort_id',
			dir: 'desc'
		},
		actions: [ { type: 'remove', func: function (data) {
                if ( confirm('Are you sure you want to remove inported data?') ) {
                    new Request({
                        url: '/importer/remove?id=' + data.id + '&phone='+data.phone,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
		} },
        { type: 'report', func: function (data) {
                if (data.status === 3)
                {
                    alert('Junk Escort');
                    return;
                }

                if (data.escort_id)
                {
                    alert('Escort with ID: '+data.escort_id+' already exist.');
                    return;
                }

                createPopupOpen(data['id']);
                //popup.__mode = 'create';
                //addOrderButton.setStyle('display', 'none');
                //popup.setTitle('Create Fast Escort'),
                //popup.load('<?//= $this->baseUrl() ?>///importer/create?isFast=1&id='+data['id'], popup.open);
                //popup.setSize({ width: 980 });
        } }
		],
		data: new Cubix.Grid.Loader({ url: '/importer/data', params: getFilterParams })
	}).addEvent('rightclick', function (data, e) {
		e.stop();
		menu.show({ left: e.page.x, top: e.page.y + 3 }, data, false);
	});

    createPopupOpen = (id) => {
        popup.__mode = 'create';
        addOrderButton.setStyle('display', 'none');
        popup.setTitle('Create Fast Escort<input type="hidden" class="import-id" value="'+id+'">'),
        popup.load('<?= $this->baseUrl() ?>/importer/create?isFast=1&id='+id, popup.open);
        popup.setSize({ width: 980 });
    }

    window.removePhoto = (path,id) => {
        if ( confirm('Are you sure you want to remove this photo?') ) {
            new Request({
                url: '/importer/remove-photo?path=' + path + '&id=' + id,
                onSuccess: function (resp) {
                    resp = JSON.parse(resp);
                    if (resp.path) {
                        $$('.close-x').each((item) => {
                            console.log(resp.path);
                            if (item.get('data-path') === resp.path) {
                                // $(item).destroy();
                                $(item).getParent().getParent().destroy();
                            }
                        })
                        $$('.image-cont').each((item) => {
                            if (item.get('data-path') === resp.path) {
                                // $(item).destroy();
                                $(item).getParent().getParent().destroy();
                            }
                        })
                    }
                }.bind(this)
            }).send();
        }
    }

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	grid.addEvent('loaded', function() {

		$$('.escort-showname').addEvent('click', function(e){
			e.stop();

			var data = this.getParent('tr').rowData;
			EscortPopup.setTitle('Edit Escort');
			EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});

        if ($$('.to-junk')){
            $$('.to-junk').addEvent('click', function(e) {
                e.stop();
                var href = this.get('href');
                var dataStatus = this.get('data-status');
                var warningtext = ''

                new Request({
                    url: href,
                    onSuccess: function (resp) {
                        grid.load();
                    }.bind(this)
                }).send();

            })
        }
	});

    $(document).addEvent("click:relay(#save-images-with-watermark)", function(event, element) {
        var imagesObj = [];
        $$('.dragable-cont').each( ( el , index ) => {

            let singleArray = {}
            el.getChildren().each((e, ind) => {
                if (e.hasClass('wtmrk-active'))
                {
                    singleArray.watermark = e.get('src');
                    singleArray.watermarkPosition = e.get('style');
                }

                if(e.hasClass('base-image')){
                    singleArray.main_path = e.get('src');
                }
            })
            imagesObj.push(singleArray);
        })
        new Request({
            url: '/importer/save-watermarked-images',
            data: {images : imagesObj},
            method: 'post',
            onSuccess: function (resp) {
                let importId = $$('.import-id').get('value');
                createPopupOpen(importId);
                // grid.load();
            }.bind(this)
        }).send();
    });

    $(document).addEvent("click:relay(.add-wtmrk)", function() {
        let thisName = this.get('name');
        $(thisName).removeClass('hidden');
        $(thisName).addClass('wtmrk-active');
    });

    $(document).addEvent("click:relay(.remove-wtmrk)", function() {
        let thisName = this.get('name');
        $(thisName).addClass('hidden');
        $(thisName).removeClass('wtmrk-active');
    });

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
				it.addEvent('change', function(){
					grid.load();
				});
			}
		});
	};

	var initDateFilter = function(filter_form)
	{
		var defined_dates = {'today': 'Today', 'yesterday': 'Yesterday', 'last_7_days' : 'Last 7 days', 'this_month': 'This month', 'last_month': 'Last month'};
		var defined_dates2 = {'today': 'Today', 'tomorrow': 'Tomorrow', 'this_week': 'This week', 'next_week': 'Next week'};

		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });


	};

	initDateFilter('filter-form');

	<? if ( strlen($this->filter_params['filter_by']) > 0 ): ?>
		$('filter-form').getElement('.f-filter-by').fireEvent('change');
	<? endif; ?>

	<? if ( strlen($this->filter_params['dates_defined']) > 0 ): ?>
		$('filter-form').getElement('.f-dates-defined').set('value', '<?= $this->filter_params['dates_defined'] ?>');
		$('filter-form').getElement('.f-dates-defined').fireEvent('change');
	<? endif; ?>

	initFormSubmit();
};
</script>
<? if ( Cubix_Application::getId() == APP_ED ): ?>
<script type="text/javascript">
	function showCustomCrawlLink(el){
		if(el.value == 'https://www.eurogirlsescort.com'){
			document.getElementById('custom-crawl-div').style.display = 'inline';
			document.getElementById('custom-url-crawl-div').style.display = 'inline';
		} else {
			document.getElementById('custom-crawl-div').style.display = 'none';
			document.getElementById('custom-url-crawl-div').style.display = 'none';
		}


        if(el.value == 'https://www.sexnews.ch/'){
            document.getElementById('sexnews-custom-url-crawl-div').style.display = 'inline';
        } else {
            document.getElementById('sexnews-custom-url-crawl-div').style.display = 'none';
        }

        if(el.value == 'https://sexbombua.com/'){
            document.getElementById('sexbombua-custom-url-crawl-div').style.display = 'inline';
        } else {
            document.getElementById('sexbombua-custom-url-crawl-div').style.display = 'none';
        }
	}
</script>
<? endif; ?>
<?php $DEFINITIONS = Zend_Registry::get('defines'); ?>
<div class="form-common gray c-filter-form">
	<form id="filter-form">
		<fieldset class="inner mb10 ">
			<div class="inner">
				<label for="phone">Phone</label>
				<input id="phone" type="text" class="txt w18" name="phone" value="<?= $this->filter_params['phone'] ?>" />
			</div>
            <div class="inner">
                <label for="website">Website</label>
                <select id="website" name="website" class="w14 website" onchange="showCustomCrawlLink(this)">
                    <option value=""> - any - </option>

                    <? if ( Cubix_Application::getId() == APP_ED ): ?>
                    <option value="https://www.eurogirlsescort.com" >eurogirlsescort.com</option>
                    <option value="https://www.slummi.com" >slumi.com</option>
                    <option value="https://www.ladies.de" >ladies.de</option>
                    <option value="https://booksusi.com" >booksusi.com</option>
                    <option value="https://www.rotelaterne.de/" >rotelaterne.de</option>
                    <option value="https://www.sexnews.ch/" >sexnews.ch</option>
                    <option value="https://relaxkiev.com/" >relaxkiev.com</option>
                    <option value="https://rusprostitute.com/" >rusprostitute.com</option>
                    <option value="https://sexbombua.com/" >sexbombua.com</option>
                    <?elseif (Cubix_Application::getId() == APP_A6):?>
                        <option value="https://www.en.fgirl.ch" >en.fgirl.ch</option>
                    <option value="https://sex4u.ch" >sex4u.ch</option>
                    <?elseif (Cubix_Application::getId() == APP_EG_CO_UK):?>
                    <option value="https://www.vivastreet.co.uk/" >vivastreet.co.uk</option>
                    <? endif; ?>
                </select>
            </div>

            <div class="inner">
                <label>
                    <span>From</span>
                </label>
                <input id="f-date-from" type="text" class="txt w128 f-date-from" name="date_from" value=""  />
            </div>

            <div class="inner" style="padding-top: 25px">
                <span> - </span>
            </div>

            <div class="inner">
                <label>
                    <span>To</span>
                </label>
                <input id="f-date-to" type="text" class="txt w128 f-date-to" name="date_to" value=""  />
            </div>

            <div class="inner">
                <label for="status">Status</label>
                <select id="status" name="status" class="w14 status">
                    <option value=""> - any - </option>
                    <option value="0">Not Imported</option>
                    <option value="1">Imported</option>
                    <?if( count($this->countries) && in_array(Cubix_Application::getId(), array(APP_ED, APP_EG_CO_UK, APP_A6))):?>
                    <option value="3">Junk</option>
                    <?endif;?>
                </select>
            </div>

            <?if( count($this->countries) && in_array(Cubix_Application::getId(), array(APP_ED, APP_EG_CO_UK, APP_A6))):?>
            <div class="inner">
                <label for="country">Country</label>
                <select id="country" name="country" class="w14 country">
                    <option value=""> - any - </option>
                    <?foreach ($this->countries as $country):?>
                    <option value="<?=$country->country?>"><?=ucfirst($country->country)?></option>
                    <?endforeach;?>
                </select>
            </div>
            <?endif;?>
            <div class="clear"></div>

		</fieldset>

		<div class="clear"></div>

		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="cx-button" id="custom-crawl-div" style="display: none; margin-left: 10px;">
					<div class="cx-button-middle">
						<div class="cx-button-wrapper">
							<a id="custom-crawl" class="cx-button-caption cx-button-icon" href="importer/custom-crawl"  style="color: white; padding-left: 0px !important">EuroEscortGirls tour sync</a>
						</div>
					</div>
		</div>
		<div class="cx-button" id="custom-url-crawl-div" style="display: none; margin-left: 10px;">
					<div class="cx-button-middle">
						<div class="cx-button-wrapper">
							<a id="custom-url-crawl" class="cx-button-caption cx-button-icon" href="importer/custom-url-crawl"  style="color: white; padding-left: 0px !important">EuroEscortGirls Custom Link </a>
						</div>
					</div>
		</div>
        <div class="cx-button" id="sexnews-custom-url-crawl-div" style="display: none; margin-left: 10px;">
            <div class="cx-button-middle">
                <div class="cx-button-wrapper">
                    <a id="custom-url-crawl" class="cx-button-caption cx-button-icon" href="importer/sex-news-custom-url-crawl"  style="color: white; padding-left: 0px !important">SexNews Custom Link </a>
                </div>
            </div>
        </div>
        <div class="cx-button" id="sexbombua-custom-url-crawl-div" style="display: none; margin-left: 10px;">
            <div class="cx-button-middle">
                <div class="cx-button-wrapper">
                    <a id="custom-url-crawl" class="cx-button-caption cx-button-icon" href="importer/sex-bombua-custom-url-crawl"  style="color: white; padding-left: 0px !important">SexBombua Custom Link </a>
                </div>
            </div>
        </div>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div id="grid-show-count" class="fleft grid-show-count"><span></span> - Profiles Crowled</div>

<div class="clear"></div>

<style>
	#legend { margin:20px 0 10px 0; border: 1px solid #ccc; width:980px; padding:10px }

	#legend .color-susp { height: 20px; width:20px; background-color: #f00; float:left; border: 1px solid #ccc }
	#legend .color-answer-yes { height: 20px; width:20px; background-color: #bafdcb; float:left; border: 1px solid #ccc }
	#legend .color-answer-no { height: 20px; width:20px; background-color: #FCCCF2; float:left; border: 1px solid #ccc }
	#legend .color-trust { height: 20px; width:20px; background-color: #D6CAA9; float:left; border: 1px solid #ccc }
	#legend .color-new { height: 20px; width:20px; background-color: #13B260; float:left; border: 1px solid #ccc }
	#legend .color-phone { height: 20px; width:20px; background-color: #264AFF; float:left; border: 1px solid #ccc }
	#legend .color-city { height: 20px; width:20px; background-color: #A90AFF; float:left; border: 1px solid #ccc }

	#legend .text { float:left; margin:3px 10px 0 3px }
</style>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
